Index: uspace/srv/net/netif/dp8390/Makefile
===================================================================
--- uspace/srv/net/netif/dp8390/Makefile	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ uspace/srv/net/netif/dp8390/Makefile	(revision 1b1164e8b3cea0b45a167fb0933b14cf0c22c374)
@@ -1,4 +1,5 @@
 #
-# Copyright (c) 2009 Lukas Mejdrech
+# Copyright (c) 2005 Martin Decky
+# Copyright (c) 2007 Jakub Jermar
 # All rights reserved.
 #
@@ -27,41 +28,41 @@
 #
 
-NAME = dp8390
+NET_BASE = ../..
+USPACE_PREFIX = ../../../..
+ROOT_PATH = $(USPACE_PREFIX)/..
 
-NET_BASE = ../../
-STRUCTURES = $(NET_BASE)structures/
+COMMON_MAKEFILE = $(ROOT_PATH)/Makefile.common
+CONFIG_MAKEFILE = $(ROOT_PATH)/Makefile.config
 
-include $(NET_BASE)../../../Makefile.common
-include $(NET_BASE)../../../Makefile.config
+BINARY = dp8390
 
-## Sources
-#
+-include $(COMMON_MAKEFILE)
+-include $(CONFIG_MAKEFILE)
 
-OUTPUT = $(NAME)
 SOURCES = \
-	$(NAME).c \
-	$(NAME)_module.c \
+	dp8390.c \
+	dp8390_module.c \
 	ne2000.c \
-	$(NET_BASE)module.c \
-	$(NET_BASE)modules.c \
-	$(NET_BASE)netif/netif.c \
-	$(STRUCTURES)measured_strings.c \
-	$(STRUCTURES)packet/packet.c \
-	$(STRUCTURES)packet/packet_client.c \
-	$(STRUCTURES)packet/packet_remote.c
+	$(NET_BASE)/module.c \
+	$(NET_BASE)/modules.c \
+	$(NET_BASE)/netif/netif.c \
+	$(NET_BASE)/structures/measured_strings.c \
+	$(NET_BASE)/structures/packet/packet.c \
+	$(NET_BASE)/structures/packet/packet_client.c \
+	$(NET_BASE)/structures/packet/packet_remote.c
 
-ifeq ($(NETWORKING), module)
-
-	SOURCES +=	$(NET_BASE)checksum.c \
-				$(NET_BASE)nil/eth/eth.c \
-				$(NET_BASE)net/net_remote.c \
-				$(NET_BASE)netif/netif_nil_bundle.c
-
-else
-
-	SOURCES += 	$(NET_BASE)nil/nil_remote.c \
-				$(NET_BASE)netif/netif_standalone.c
-
+ifeq ($(CONFIG_NETWORKING),module)
+	SOURCES += \
+		$(NET_BASE)/checksum.c \
+		$(NET_BASE)/nil/eth/eth.c \
+		$(NET_BASE)/net/net_remote.c \
+		$(NET_BASE)/netif/netif_nil_bundle.c
 endif
 
-include $(NET_BASE)Makefile.module
+ifeq ($(CONFIG_NETWORKING),modular)
+	SOURCES += \
+		$(NET_BASE)/nil/nil_remote.c \
+		$(NET_BASE)/netif/netif_standalone.c
+endif
+
+include $(USPACE_PREFIX)/Makefile.common
Index: uspace/srv/net/netif/lo/Makefile
===================================================================
--- uspace/srv/net/netif/lo/Makefile	(revision 19f857a3b361739b06d4f547174ae4ac1b99c651)
+++ uspace/srv/net/netif/lo/Makefile	(revision 1b1164e8b3cea0b45a167fb0933b14cf0c22c374)
@@ -1,4 +1,5 @@
 #
-# Copyright (c) 2009 Lukas Mejdrech
+# Copyright (c) 2005 Martin Decky
+# Copyright (c) 2007 Jakub Jermar
 # All rights reserved.
 #
@@ -27,38 +28,38 @@
 #
 
-NAME = lo
+NET_BASE = ../..
+USPACE_PREFIX = ../../../..
+ROOT_PATH = $(USPACE_PREFIX)/..
 
-NET_BASE = ../../
-STRUCTURES = $(NET_BASE)structures/
+COMMON_MAKEFILE = $(ROOT_PATH)/Makefile.common
+CONFIG_MAKEFILE = $(ROOT_PATH)/Makefile.config
 
-include $(NET_BASE)../../../Makefile.common
-include $(NET_BASE)../../../Makefile.config
+BINARY = lo
 
-## Sources
-#
+-include $(COMMON_MAKEFILE)
+-include $(CONFIG_MAKEFILE)
 
-OUTPUT = $(NAME)
 SOURCES = \
-	$(NAME).c \
-	$(NET_BASE)module.c \
-	$(NET_BASE)modules.c \
-	$(NET_BASE)net/net_remote.c \
-	$(NET_BASE)netif/netif.c \
-	$(STRUCTURES)measured_strings.c \
-	$(STRUCTURES)packet/packet.c \
-	$(STRUCTURES)packet/packet_client.c \
-	$(STRUCTURES)packet/packet_remote.c
+	lo.c \
+	$(NET_BASE)/module.c \
+	$(NET_BASE)/modules.c \
+	$(NET_BASE)/net/net_remote.c \
+	$(NET_BASE)/netif/netif.c \
+	$(NET_BASE)/structures/measured_strings.c \
+	$(NET_BASE)/structures/packet/packet.c \
+	$(NET_BASE)/structures/packet/packet_client.c \
+	$(NET_BASE)/structures/packet/packet_remote.c
 
-ifeq ($(NETWORKING), module)
-
-	SOURCES +=	$(NET_BASE)nil/nildummy/nildummy.c \
-				$(NET_BASE)netif/netif_nil_bundle.c
-
-else
-
-	SOURCES += 	$(NET_BASE)nil/nil_remote.c \
-				$(NET_BASE)netif/netif_standalone.c
-
+ifeq ($(CONFIG_NETWORKING),module)
+	SOURCES += \
+		$(NET_BASE)/nil/nildummy/nildummy.c \
+		$(NET_BASE)/netif/netif_nil_bundle.c
 endif
 
-include $(NET_BASE)Makefile.module
+ifeq ($(CONFIG_NETWORKING),modular)
+	SOURCES += \
+		$(NET_BASE)/nil/nil_remote.c \
+		$(NET_BASE)/netif/netif_standalone.c
+endif
+
+include $(USPACE_PREFIX)/Makefile.common
